<?php

function index_key($array, $index)
{
    $count = 0;
    foreach($array as $key => $value)
    {
        if($count == $index)
        {
            return $key;
        }
        else
        {
        $count += 1;
        }
    }
}

function index_value($array, $index)
{
    $count = 0;
    foreach($array as $key => $value)
    {
        if($count == $index)
        {
            return $value;
        }
        else
        {
        $count += 1;
        }
    }
}

function DOItoJmol($DOI, $output_style = 'links', $file_number = 1)
{
    $DOI_prefix = explode('/', $DOI);
    $files = array();
    
    if($DOI_prefix[0] == '10.6084')
    {
        $URL_base = 'http://api.figshare.com/articles/';
        $URL = $URL_base . $DOI;
        
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $URL);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, True);
        $jsondata = json_decode(curl_exec($ch));
        curl_close($ch);
        
        $file_location_base = 'http://files.figshare.com/';
        
        foreach($jsondata->items[0]->files as $file)
        {
            $files[$file->name] = $file_location_base . $file->id . '/' . $file->name;
        }
    }
    elseif($DOI_prefix[0] == '10042')
    {
        $URL_base = 'https://spectradspace.lib.imperial.ac.uk:8443/dspace/bitstream/handle/' . $DOI . '/';
        echo 'Imperial D-Space: not yet supported by DOItoJmol.php';
        return;
    }
    elseif($DOI == false)
    {
        return;
    }
    else { echo "unsupported repsitory"; }
    
    if ($output_style == 'links')
    {
        foreach($files as $f_name => $f_location)
        {
            echo "<a href=\"javascript:Jmol.script(jmolApplet0,'load $f_location;')\">$f_name</a><br>";
        }
    }
    elseif ($output_style == 'link')
    {
        echo "<a href=\"javascript:Jmol.script(jmolApplet0,'load " . index_value($files, $file_number - 1) . ";')\">" . index_key($files, $file_number - 1) . "</a>";
    }
    elseif ($output_style == 'menu')
    {
        $menu_options = "[null, \"... select ...\", true]";
        foreach($files as $f_name => $f_location)
        {
            $menu_options .= ", [\"load $f_location;\", \"$f_name\"]";
        }
        echo "<script type=\"text/javascript\">Jmol.jmolMenu(jmolApplet0, [$menu_options])</script>";
    }
}
?>