<!DOCTYPE html>
<html lang="en">
<head>

<title>Dispersion corrected DFT for organocatalysis (Re-run)</title>

<meta charset="utf-8" />

<?php include 'DOItoJmol.php' ?>

<style type="text/css">
body
{
    font-family: "Times New Roman", Times, serif;
}
table, th, td
{
    border-collapse: collapse;
    border: 1px solid Black;
}
table
{
    box-shadow: 0.2em 0.2em #F2F2F2;
}
th
{
    background-color: #F2F2F2;
}
th, td
{
padding: 0.15em 0.3em;
}
td.low
{
    background-color: rgb(198, 239, 206);
}
Jmol.appletdiv
{
    border: 1px solid blue;
}
</style>

<!-- JSmol -->
<script type="text/javascript" src="JSmol.min.js"></script>

<script type="text/javascript">
// 1/21/2013 10:54:15 PM -- adds image handling

var jmolApplet0; // set up in HTML table, below

// logic is set by indicating order of USE -- default is HTML5 for this test page, though
var Jmol_option = "JAVA" // JAVA HTML5 WEBGL IMAGE  are all otions
var s = window.location.search;

// Developers: The debugCode flag is checked in j2s/core/core.z.js, 
// and, if TRUE, skips loading the core methods, forcing those
// to be read from their individual directories. Set this
// true if you want to do some code debugging by inserting
// System.out.println, document.title, or alert commands
// anywhere in the Java or Jmol code.

Jmol.debugCode = (s.indexOf("debugcode") >= 0);

if (s.indexOf("HTML5") >= 0) {
  Jmol_option = "HTML5"
  }
else if (s.indexOf("JAVA") >= 0) {
  Jmol_option = "JAVA"
  }


jmol_isReady = function(applet) {
//     document.title = (applet._id + " is ready")
    Jmol._getElement(applet, "appletdiv").style.border="1px solid black";
    Jmol._getElement(applet, "appletdiv").style.boxShadow="0.2em 0.2em #F2F2F2";
}   

var Info = {
    width: 450,
    height: 450,
    debug: false,
    color: "white",
    addSelectionOptions: false,
//     serverURL: "http://chemapps.stolaf.edu/jmol/jsmol/jsmol.php",
    serverURL: "jsmol.php",
    use: Jmol_option,
    j2sPath: "j2s",
    readyFunction: jmol_isReady,
//     script: "set antialiasDisplay;background white;"
    jarPath: "java",
    jarFile: "JmolAppletSigned.jar",
//    isSigned: useSignedApplet,
//    disableJ2SLoadMonitor: true,
//    disableInitialConsole: true,
    //defaultModel: "$dopamine",
    //console: "none", // default will be jmolApplet0_infodiv
}
  
function JSmolButton(file, additionalScript, name) {
    if(typeof additionalScript == 'undefined') {
        additionalScript = '';
    }
    if(typeof name == 'undefined') {
        name = 'coordinates';
    }
    var filepath = "files/"
    var script = "load " + filepath + file + "; " + additionalScript
    Jmol.jmolButton(jmolApplet0, script, name)
}
function n() { Jmol.jmolHtml("<br>") }

</script>


</head>





<body>

<!--
LAYOUT

System 1 - Cyclohexanone-Benzaldehyde-Proline
    Main table
        Conformation | B3LYP/TZVP   | B3LYP-D3/TZVP
        ___________________________________________
        anti(4),     | G09-d01      | G09-d01
        ent anti(4), |              |
        ent syn(4),  |              |
        syn(4)       |              |

System 2 - Cyclohexanone-Isobutraldehyde-Proline
    Main table
        Conformation | B3LYP/TZVP   | B3LYP-D3/TZVP
        ___________________________________________
        anti(4),     | G09-d01      | 09-d01
        ent anti(4), |              |
        ent syn(4),  |              |
        syn(4)       |              |
-->

<h1> Dispersion corrected DFT for organocatalysis</h1>

<div id="jmolviewer">
<script>

// note that the variable name MUST match the first parameter in quotes

jmolApplet0 = Jmol.getApplet("jmolApplet0", Info)

// note that now scripts can be sent immediately after the _Applet object is created

//Jmol.script(jmolApplet0,"background gray;delay 0.5;background black")
var lastPrompt=0;
</script>
<p>Viewer: <a href=index.php?JAVA>Jmol</a> (Signed Java applet) or <a href=index.php?HTML5>JSmol</a> (HTML5) </p> 

</div>


<h2>System 1 - Cyclohexanone-Benzaldehyde-Proline</h2>

<h3>Main table</h3>
<p>Calculations performed in Gaussian 09 - revision d. Click the Jmol links to visualise in 3D. Click the repository handle to link to the calculation archive.</p>

<table>
<tr> <th rowspan="2">Transition State</th> <th colspan="4">B3LYP/TZVP</th>                                     <th colspan="4">B3LYP-D3/TZVP</th> </tr>
                                  <tr> <th>&Delta;&Delta;G</th> <th>population</th> <th>Jmol</th> <th>Repository</th> <th>&Delta;&Delta;G</th> <th>population</th> <th>Jmol</th> <th>Repository</th> </tr> 
                                  
<tr> <td>anti 1</td>     <td>0.00</td> <td rowspan="4">99.94%</td> <td><?php DOItoJmol('10.6084/m9.figshare.754576', 'menu') ?>   </td> <td><a href="http://dx.doi.org/10042/24848" title="D-Space">10042/24848</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754576" title="Figshare">10.6084/m9.figshare.754576</a></td> <td>0.05</td> <td rowspan="4">99.30%</td> <td><?php DOItoJmol('10.6084/m9.figshare.754600', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24862" title="D-Space">10042/24862</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754600" title="Figshare">10.6084/m9.figshare.754600</a></td> </tr> 
<tr> <td>anti 2</td>     <td>0.18</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754577', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24847" title="D-Space">10042/24847</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754577" title="Figshare">10.6084/m9.figshare.754577</a></td> <td>0.00</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754601', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24863" title="D-Space">10042/24863</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754601" title="Figshare">10.6084/m9.figshare.754601</a></td> </tr>
<tr> <td>anti 3</td>     <td>1.68</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754579', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24849" title="D-Space">10042/24849</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754579" title="Figshare">10.6084/m9.figshare.754579</a></td> <td>2.20</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754602', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24864" title="D-Space">10042/24864</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754602" title="Figshare">10.6084/m9.figshare.754602</a></td> </tr>
<tr> <td>anti 4</td>     <td>1.64</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754580', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24850" title="D-Space">10042/24850</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754580" title="Figshare">10.6084/m9.figshare.754580</a></td> <td>1.87</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754604', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24867" title="D-Space">10042/24867</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754604" title="Figshare">10.6084/m9.figshare.754604</a></td> </tr>
<tr> <td>ent anti 1</td> <td>7.51</td> <td rowspan="4">0.00%</td>  <td><?php DOItoJmol('10.6084/m9.figshare.754581', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24851" title="D-Space">10042/24851</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754581" title="Figshare">10.6084/m9.figshare.754581</a></td> <td>7.14</td> <td rowspan="4">0.01%</td>  <td><?php DOItoJmol('10.6084/m9.figshare.754603', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24868" title="D-Space">10042/24868</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754603" title="Figshare">10.6084/m9.figshare.754603</a></td> </tr>
<tr> <td>ent anti 2</td> <td>6.15</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754582', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24852" title="D-Space">10042/24852</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754582" title="Figshare">10.6084/m9.figshare.754582</a></td> <td>5.38</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754605', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24865" title="D-Space">10042/24865</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754605" title="Figshare">10.6084/m9.figshare.754605</a></td> </tr>
<tr> <td>ent anti 3</td> <td>7.78</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754583', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24853" title="D-Space">10042/24853</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754583" title="Figshare">10.6084/m9.figshare.754583</a></td> <td>7.88</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754606', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24869" title="D-Space">10042/24869</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754606" title="Figshare">10.6084/m9.figshare.754606</a></td> </tr>
<tr> <td>ent anti 4</td> <td>6.52</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754584', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24854" title="D-Space">10042/24854</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754584" title="Figshare">10.6084/m9.figshare.754584</a></td> <td>5.81</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754607', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24870" title="D-Space">10042/24870</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754607" title="Figshare">10.6084/m9.figshare.754607</a></td> </tr>
<tr> <td>ent syn 1</td>  <td>6.96</td> <td rowspan="4">0.01%</td>  <td><?php DOItoJmol('10.6084/m9.figshare.754586', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24855" title="D-Space">10042/24855</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754586" title="Figshare">10.6084/m9.figshare.754586</a></td> <td>7.05</td> <td rowspan="4">0.01%</td>  <td><?php DOItoJmol('10.6084/m9.figshare.754608', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24871" title="D-Space">10042/24871</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754608" title="Figshare">10.6084/m9.figshare.754608</a></td> </tr>
<tr> <td>ent syn 2</td>  <td>5.43</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754588', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24857" title="D-Space">10042/24857</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754588" title="Figshare">10.6084/m9.figshare.754588</a></td> <td>5.14</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754609', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24872" title="D-Space">10042/24872</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754609" title="Figshare">10.6084/m9.figshare.754609</a></td> </tr>
<tr> <td>ent syn 3</td>  <td>7.72</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754587', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24856" title="D-Space">10042/24856</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754587" title="Figshare">10.6084/m9.figshare.754587</a></td> <td>7.59</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754610', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24873" title="D-Space">10042/24873</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754610" title="Figshare">10.6084/m9.figshare.754610</a></td> </tr>
<tr> <td>ent syn 4</td>  <td>6.31</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754589', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24858" title="D-Space">10042/24858</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754589" title="Figshare">10.6084/m9.figshare.754589</a></td> <td>5.93</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754611', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24874" title="D-Space">10042/24874</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754611" title="Figshare">10.6084/m9.figshare.754611</a></td> </tr>
<tr> <td>syn 1</td>      <td>4.60</td> <td rowspan="4">0.05%</td>  <td><?php DOItoJmol('10.6084/m9.figshare.754593', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24859" title="D-Space">10042/24859</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754593" title="Figshare">10.6084/m9.figshare.754593</a></td> <td>3.04</td> <td rowspan="4">0.68%</td>  <td><?php DOItoJmol('10.6084/m9.figshare.754612', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24875" title="D-Space">10042/24875</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754612" title="Figshare">10.6084/m9.figshare.754612</a></td> </tr>
<tr> <td>syn 2</td>      <td>4.59</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754594', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24860" title="D-Space">10042/24860</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754594" title="Figshare">10.6084/m9.figshare.754594</a></td> <td>2.97</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754614', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24877" title="D-Space">10042/24877</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754614" title="Figshare">10.6084/m9.figshare.754614</a></td> </tr>
<tr> <td>syn 3</td>      <td>6.34</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754596', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24861" title="D-Space">10042/24861</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754596" title="Figshare">10.6084/m9.figshare.754596</a></td> <td>4.78</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754613', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24876" title="D-Space">10042/24876</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754613" title="Figshare">10.6084/m9.figshare.754613</a></td> </tr>
<tr> <td>syn 4</td>      <td>6.00</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754598', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24866" title="D-Space">10042/24866</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754598" title="Figshare">10.6084/m9.figshare.754598</a></td> <td>4.27</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.754615', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24878" title="D-Space">10042/24878</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.754615" title="Figshare">10.6084/m9.figshare.754615</a></td> </tr>
</table>


<h2>System 2 - Cyclohexanone-Isobutyraldehyde-Proline</h2>

<h3>Main table</h3>

<table>
<tr> <th rowspan="2">Transition State</th> <th colspan="4">B3LYP/TZVP</th>                                     <th colspan="4">B3LYP-D3/TZVP</th> </tr>
                                  <tr> <th>&Delta;&Delta;G</th> <th>population</th> <th>JSmol</th> <th>Repository</th> <th>&Delta;&Delta;G</th> <th>population</th> <th>JSmol</th> <th>Repository</th> </tr> 
                                  
<tr> <td>anti 1</td>     <td>0.00</td> <td rowspan="4">100.00%</td><td><?php DOItoJmol('10.6084/m9.figshare.756030', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24880" title="D-Space">10042/24880</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756030" title="Figshare">10.6084/m9.figshare.756030</a></td> <td>0.00</td> <td rowspan="4">99.99%</td> <td><?php DOItoJmol('10.6084/m9.figshare.756061', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24895" title="D-Space">10042/24895</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756061" title="Figshare">10.6084/m9.figshare.756061</a></td> </tr> 
<tr> <td>anti 2</td>     <td>0.24</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756031', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24881" title="D-Space">10042/24881</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756031" title="Figshare">10.6084/m9.figshare.756031</a></td> <td>0.38</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756062', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24896" title="D-Space">10042/24896</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756062" title="Figshare">10.6084/m9.figshare.756062</a></td> </tr>
<tr> <td>anti 3</td>     <td>0.32</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756032', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24882" title="D-Space">10042/24882</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756032" title="Figshare">10.6084/m9.figshare.756032</a></td> <td>0.59</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756070', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24898" title="D-Space">10042/24898</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756070" title="Figshare">10.6084/m9.figshare.756070</a></td> </tr>
<tr> <td>anti 4</td>     <td>0.46</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756034', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24883" title="D-Space">10042/24883</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756034" title="Figshare">10.6084/m9.figshare.756034</a></td> <td>0.59</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756068', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24897" title="D-Space">10042/24897</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756068" title="Figshare">10.6084/m9.figshare.756068</a></td> </tr>
<tr> <td>ent anti 1</td> <td>    </td> <td rowspan="4">0.00%</td>  <td><?php DOItoJmol('', 'link', 4) ?>                          </td> <td><a href="http://dx.doi.org/           " title="D-Space">           </a>, <a href="http://dx.doi.org/                          " title="Figshare">                          </a></td> <td>    </td> <td rowspan="4">0.00%</td>  <td><?php DOItoJmol('', 'link', 4) ?>                          </td> <td><a href="http://hdl.handle.net/           " title="D-Space">           </a>, <a href="http://dx.doi.org/                          " title="Figshare"></a></td> </tr>
<tr> <td>ent anti 2</td> <td>7.06</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756035', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24884" title="D-Space">10042/24884</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756035" title="Figshare">10.6084/m9.figshare.756035</a></td> <td>6.27</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756071', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24899" title="D-Space">10042/24899</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756071" title="Figshare">10.6084/m9.figshare.756071</a></td> </tr>
<tr> <td>ent anti 3</td> <td>8.12</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756036', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24885" title="D-Space">10042/24885</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756036" title="Figshare">10.6084/m9.figshare.756036</a></td> <td>8.63</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756073', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24900" title="D-Space">10042/24900</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756073" title="Figshare">10.6084/m9.figshare.756073</a></td> </tr>
<tr> <td>ent anti 4</td> <td>6.55</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756037', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24886" title="D-Space">10042/24886</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756037" title="Figshare">10.6084/m9.figshare.756037</a></td> <td>6.23</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756074', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24901" title="D-Space">10042/24901</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756074" title="Figshare">10.6084/m9.figshare.756074</a></td> </tr>
<tr> <td>ent syn 1</td>  <td>8.36</td> <td rowspan="4">0.00%</td>  <td><?php DOItoJmol('10.6084/m9.figshare.756039', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24887" title="D-Space">10042/24887</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756039" title="Figshare">10.6084/m9.figshare.756039</a></td> <td>8.56</td> <td rowspan="4">0.00%</td>  <td><?php DOItoJmol('10.6084/m9.figshare.756075', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24902" title="D-Space">10042/24902</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756075" title="Figshare">10.6084/m9.figshare.756075</a></td> </tr>
<tr> <td>ent syn 2</td>  <td>6.85</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756038', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24889" title="D-Space">10042/24889</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756038" title="Figshare">10.6084/m9.figshare.756038</a></td> <td>6.70</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756076', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24903" title="D-Space">10042/24903</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756076" title="Figshare">10.6084/m9.figshare.756076</a></td> </tr>
<tr> <td>ent syn 3</td>  <td>9.18</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756040', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24888" title="D-Space">10042/24888</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756040" title="Figshare">10.6084/m9.figshare.756040</a></td> <td>8.48</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756077', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24904" title="D-Space">10042/24904</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756077" title="Figshare">10.6084/m9.figshare.756077</a></td> </tr>
<tr> <td>ent syn 4</td>  <td>7.59</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756043', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24890" title="D-Space">10042/24890</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756043" title="Figshare">10.6084/m9.figshare.756043</a></td> <td>6.89</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756078', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24905" title="D-Space">10042/24905</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756078" title="Figshare">10.6084/m9.figshare.756078</a></td> </tr>
<tr> <td>syn 1</td>      <td>6.66</td> <td rowspan="4">0.00%</td>  <td><?php DOItoJmol('10.6084/m9.figshare.756049', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24891" title="D-Space">10042/24891</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756049" title="Figshare">10.6084/m9.figshare.756049</a></td> <td>4.99</td> <td rowspan="4">0.01%</td>  <td><?php DOItoJmol('10.6084/m9.figshare.756079', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24906" title="D-Space">10042/24906</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756079" title="Figshare">10.6084/m9.figshare.756079</a></td> </tr>
<tr> <td>syn 2</td>      <td>6.69</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756050', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24892" title="D-Space">10042/24892</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756050" title="Figshare">10.6084/m9.figshare.756050</a></td> <td>5.40</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756081', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24908" title="D-Space">10042/24908</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756081" title="Figshare">10.6084/m9.figshare.756081</a></td> </tr>
<tr> <td>syn 3</td>      <td>8.34</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756051', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24893" title="D-Space">10042/24893</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756051" title="Figshare">10.6084/m9.figshare.756051</a></td> <td>6.16</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756080', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24907" title="D-Space">10042/24907</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756080" title="Figshare">10.6084/m9.figshare.756080</a></td> </tr>
<tr> <td>syn 4</td>      <td>8.00</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756053', 'link', 4) ?></td> <td><a href="http://dx.doi.org/10042/24894" title="D-Space">10042/24894</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756053" title="Figshare">10.6084/m9.figshare.756053</a></td> <td>5.88</td>                             <td><?php DOItoJmol('10.6084/m9.figshare.756082', 'link', 4) ?></td> <td><a href="http://hdl.handle.net/10042/24909" title="D-Space">10042/24909</a>, <a href="http://dx.doi.org/10.6084/m9.figshare.756082" title="Figshare">10.6084/m9.figshare.756082</a></td> </tr>
</table>



<!-- 
<h2>System 3 - 4-Piperidinone-Benzaldehyde-Proline</h2>
<p>This systems aims to maximise the pi-facial non-covelent interaction, observed in the syn transition state for system <b>1</b>, between the proton at the 4-position of the cyclohexanone-derived enamine and the face of the aryl ring of the aldehyde.</p>

<table>
<tr> <th rowspan="2">Conformation</th> <th colspan="3">B3LYP-D3/TZVP</th> </tr>
                                  <tr> <th>&Delta;E</th> <th>JSmol</th> <th>Repository</th> </tr> 
                                  
<tr> <td>anti -R</td>     <td>0.00</td> <td><a href="javascript:Jmol.script(jmolApplet0,'load https://spectradspace.lib.imperial.ac.uk:8443/dspace/bitstream/handle/10042/24769/cml.xml')">cml</a></td> <td><a href="http://hdl.handle.net/10042/24769">10042/24769</a></td> </tr> 
<tr> <td>syn +R</td>      <td>0.88</td> <td><a href="javascript:Jmol.script(jmolApplet0,'load https://spectradspace.lib.imperial.ac.uk:8443/dspace/bitstream/handle/10042/24768/cml.xml')">cml</a></td> <td><a href="http://hdl.handle.net/10042/24768">10042/24768</a></td> </tr>
</table>

<h2>System 4 - Cyclohexanone-Pyrrole-2-carboxaldehyde-Proline</h2>
<p>This system aims to maximise the hydrogen bonding interaction, observed in the syn transition state for system <b>1</b>, between the proton at the 2-position of the aryl ring of the aldehyde and the oxygen of the carboxylic acid of the bound catalyst.</p>

<table>
<tr> <th rowspan="2">Conformation</th> <th colspan="4">B3LYP/TZVP</th>                                     <th colspan="4">B3LYP-D3/TZVP</th>                                  <th colspan="4">wB97XD/6-311G(d,p)</th> </tr>
                                  <tr> <th>&Delta;&Delta;G</th> <th>population</th> <th>JSmol</th> <th>Repository</th> <th>&Delta;&Delta;G</th> <th>population</th> <th>JSmol</th> <th>Repository</th> <th>ddG</th> <th>population</th> <th>JSmol</th> <th>Repository</th> </tr> 
                                  
<tr> <td>anti -R</td>     <td>0.00</td> <td>95.12%</td> <td><a href="javascript:Jmol.script(jmolApplet0,'load https://spectradspace.lib.imperial.ac.uk:8443/dspace/bitstream/handle/10042/24595/cml.xml')">cml</a></td> <td><a href="http://hdl.handle.net/10042/24595">10042/24595</a></td> <td>0.36</td> <td>35.14%</td> <td><a href="javascript:Jmol.script(jmolApplet0,'load https://spectradspace.lib.imperial.ac.uk:8443/dspace/bitstream/handle/10042/24594/cml.xml')">cml</a>, <a href="javascript:Jmol.script(jmolApplet0,'load files/4-anti.jmol; background white;')">NCI</a></td> <td><a href="http://hdl.handle.net/10042/24594">10042/24594</a></td> <td>0.44</td> <td>32.13%</td> <td><a href="javascript:Jmol.script(jmolApplet0,'load https://spectradspace.lib.imperial.ac.uk:8443/dspace/bitstream/handle/10042/24597/logfile.log')">log</a></td> <td><a href="http://hdl.handle.net/10042/24597">10042/24597</a></td> </tr> 
<tr> <td>syn -R</td>      <td>1.76</td> <td>4.88%</td> <td><a href="javascript:Jmol.script(jmolApplet0,'load https://spectradspace.lib.imperial.ac.uk:8443/dspace/bitstream/handle/10042/24596/cml.xml')">cml</a></td> <td><a href="http://hdl.handle.net/10042/24596">10042/24596</a></td> <td>0.00</td> <td>64.86%</td> <td><a href="javascript:Jmol.script(jmolApplet0,'load https://spectradspace.lib.imperial.ac.uk:8443/dspace/bitstream/handle/10042/24593/cml.xml')">cml</a>, <a href="javascript:Jmol.script(jmolApplet0,'load files/4-syn.jmol; background white;')">NCI</a></td> <td><a href="http://hdl.handle.net/10042/24593">10042/24593</a></td> <td>0.00</td> <td>67.87%</td> <td><a href="javascript:Jmol.script(jmolApplet0,'load https://spectradspace.lib.imperial.ac.uk:8443/dspace/bitstream/handle/10042/24598/logfile.log')">log</a></td> <td><a href="http://hdl.handle.net/10042/24598">10042/24598</a></td> </tr>
</table>
 -->

</body>

</html>

